| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Functions
arMulti.h File Reference
`#include <ARX/AR/ar.h>`
Include dependency graph for arMulti.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | ARMultiEachMarkerInfoT
struct | ARMultiMarkerInfoT

## Macros
#define | AR_MULTI_PATTERN_TYPE_TEMPLATE 0
#define | AR_MULTI_PATTERN_TYPE_MATRIX 1
#define | AR_MULTI_PATTERN_DETECTION_MODE_NONE -1
#define | AR_MULTI_PATTERN_DETECTION_MODE_TEMPLATE 0
#define | AR_MULTI_PATTERN_DETECTION_MODE_MATRIX 1
#define | AR_MULTI_PATTERN_DETECTION_MODE_TEMPLATE_AND_MATRIX 2
#define | AR_MULTI_CONFIDENCE_PATTERN_CUTOFF_DEFAULT 0.5
#define | AR_MULTI_CONFIDENCE_MATRIX_CUTOFF_DEFAULT 0.5
#define | AR_MULTI_POSE_ERROR_CUTOFF_EACH_DEFAULT 4.0
#define | AR_MULTI_POSE_ERROR_CUTOFF_COMBINED_DEFAULT 20.0

## Functions
AR_EXTERN ARMultiMarkerInfoT * | arMultiAllocConfig (void)
| Creates a new empty multi-marker configuration.
AR_EXTERN ARMultiMarkerInfoT * | arMultiCopyConfig (const ARMultiMarkerInfoT *marker_info)
| Takes a deep copy of the multi-marker configuration passed in.
AR_EXTERN ARMultiMarkerInfoT * | arMultiReadConfigFile (const char *filename, ARPattHandle *pattHandle)
| Creates a new multi-marker configuration and fills it with the config from the multi-marker config file.
AR_EXTERN int | arMultiAddOrUpdateSubmarker (ARMultiMarkerInfoT *marker_info, int patt_id, int patt_type, ARdouble width, const ARdouble trans[3][4], uint64_t globalID)
AR_EXTERN void | arMultiUpdateSubmarkerPose (ARMultiEachMarkerInfoT *submarker, const ARdouble trans[3][4])
AR_EXTERN int | arMultiRemoveSubmarker (ARMultiMarkerInfoT *marker_info, int patt_id, int patt_type, uint64_t globalID)
AR_EXTERN int | arMultiFreeConfig (ARMultiMarkerInfoT *config)
| Frees the multi-marker configuration passed in.
AR_EXTERN ARdouble | arGetTransMatMultiSquare (AR3DHandle *handle, ARMarkerInfo *marker_info, int marker_num, ARMultiMarkerInfoT *config)
AR_EXTERN ARdouble | arGetTransMatMultiSquareRobust (AR3DHandle *handle, ARMarkerInfo *marker_info, int marker_num, ARMultiMarkerInfoT *config)
AR_EXTERN ARdouble | arGetTransMatMultiSquareStereo (AR3DStereoHandle *handle, ARMarkerInfo *marker_infoL, int marker_numL, ARMarkerInfo *marker_infoR, int marker_numR, ARMultiMarkerInfoT *config)
AR_EXTERN ARdouble | arGetTransMatMultiSquareStereoRobust (AR3DStereoHandle *handle, ARMarkerInfo *marker_infoL, int marker_numL, ARMarkerInfo *marker_infoR, int marker_numR, ARMultiMarkerInfoT *config)

## Macro Definition Documentation

## ◆ AR_MULTI_CONFIDENCE_MATRIX_CUTOFF_DEFAULT

#define AR_MULTI_CONFIDENCE_MATRIX_CUTOFF_DEFAULT 0.5

## ◆ AR_MULTI_CONFIDENCE_PATTERN_CUTOFF_DEFAULT

#define AR_MULTI_CONFIDENCE_PATTERN_CUTOFF_DEFAULT 0.5

## ◆ AR_MULTI_PATTERN_DETECTION_MODE_MATRIX

#define AR_MULTI_PATTERN_DETECTION_MODE_MATRIX 1

## ◆ AR_MULTI_PATTERN_DETECTION_MODE_NONE

#define AR_MULTI_PATTERN_DETECTION_MODE_NONE -1

## ◆ AR_MULTI_PATTERN_DETECTION_MODE_TEMPLATE

#define AR_MULTI_PATTERN_DETECTION_MODE_TEMPLATE 0

## ◆ AR_MULTI_PATTERN_DETECTION_MODE_TEMPLATE_AND_MATRIX

#define AR_MULTI_PATTERN_DETECTION_MODE_TEMPLATE_AND_MATRIX 2

## ◆ AR_MULTI_PATTERN_TYPE_MATRIX

#define AR_MULTI_PATTERN_TYPE_MATRIX 1

## ◆ AR_MULTI_PATTERN_TYPE_TEMPLATE

#define AR_MULTI_PATTERN_TYPE_TEMPLATE 0

## ◆ AR_MULTI_POSE_ERROR_CUTOFF_COMBINED_DEFAULT

#define AR_MULTI_POSE_ERROR_CUTOFF_COMBINED_DEFAULT 20.0

## ◆ AR_MULTI_POSE_ERROR_CUTOFF_EACH_DEFAULT

#define AR_MULTI_POSE_ERROR_CUTOFF_EACH_DEFAULT 4.0

## Function Documentation

## ◆ arGetTransMatMultiSquare()

AR_EXTERN ARdouble arGetTransMatMultiSquare | ( | AR3DHandle * | handle,
|  | ARMarkerInfo * | marker_info,
|  | int | marker_num,
|  | ARMultiMarkerInfoT * | config
| ) |  |

## ◆ arGetTransMatMultiSquareRobust()

AR_EXTERN ARdouble arGetTransMatMultiSquareRobust | ( | AR3DHandle * | handle,
|  | ARMarkerInfo * | marker_info,
|  | int | marker_num,
|  | ARMultiMarkerInfoT * | config
| ) |  |

## ◆ arGetTransMatMultiSquareStereo()

AR_EXTERN ARdouble arGetTransMatMultiSquareStereo | ( | AR3DStereoHandle * | handle,
|  | ARMarkerInfo * | marker_infoL,
|  | int | marker_numL,
|  | ARMarkerInfo * | marker_infoR,
|  | int | marker_numR,
|  | ARMultiMarkerInfoT * | config
| ) |  |

## ◆ arGetTransMatMultiSquareStereoRobust()

AR_EXTERN ARdouble arGetTransMatMultiSquareStereoRobust | ( | AR3DStereoHandle * | handle,
|  | ARMarkerInfo * | marker_infoL,
|  | int | marker_numL,
|  | ARMarkerInfo * | marker_infoR,
|  | int | marker_numR,
|  | ARMultiMarkerInfoT * | config
| ) |  |

## ◆ arMultiAddOrUpdateSubmarker()

AR_EXTERN int arMultiAddOrUpdateSubmarker | ( | ARMultiMarkerInfoT * | marker_info,
|  | int | patt_id,
|  | int | patt_type,
|  | ARdouble | width,
|  | const ARdouble | trans[3][4],
|  | uint64_t | globalID
| ) |  |

Here is the call graph for this function:

## ◆ arMultiAllocConfig()

AR_EXTERN ARMultiMarkerInfoT * arMultiAllocConfig | ( | void |  | ) |

Creates a new empty multi-marker configuration.

The returned value should be freed by calling arMultiFreeConfig when done.

## ◆ arMultiCopyConfig()

AR_EXTERN ARMultiMarkerInfoT * arMultiCopyConfig | ( | const ARMultiMarkerInfoT * | marker_info | ) |

Takes a deep copy of the multi-marker configuration passed in.

The returned value should be freed by calling arMultiFreeConfig when done.

## ◆ arMultiFreeConfig()

AR_EXTERN int arMultiFreeConfig | ( | ARMultiMarkerInfoT * | config | ) |

Frees the multi-marker configuration passed in.

## ◆ arMultiReadConfigFile()

AR_EXTERN ARMultiMarkerInfoT * arMultiReadConfigFile | ( | const char * | filename,
|  | ARPattHandle * | pattHandle
| ) |  |

Creates a new multi-marker configuration and fills it with the config from the multi-marker config file.

The returned value should be freed by calling arMultiFreeConfig when done.

Here is the call graph for this function:

## ◆ arMultiRemoveSubmarker()

AR_EXTERN int arMultiRemoveSubmarker | ( | ARMultiMarkerInfoT * | marker_info,
|  | int | patt_id,
|  | int | patt_type,
|  | uint64_t | globalID
| ) |  |

## ◆ arMultiUpdateSubmarkerPose()

AR_EXTERN void arMultiUpdateSubmarkerPose | ( | ARMultiEachMarkerInfoT * | submarker,
|  | const ARdouble | trans[3][4]
| ) |  |

Here is the call graph for this function: